package jp.terasoluna.batch.functionsample.b003;

import java.sql.Timestamp;

/**
 * BatchEntryServiceで使用する入力クラス<br>
 * このクラスのフィールドが、ジョブ管理テーブルのカラムと対応しています。<br>
 * このクラスのSetterを使用してDBへ登録する値を設定します。
 */
public class BatchEntryParam {

	
	private String jobSysCd;

	private String jobAppCd;

	private String jobArgNm1;

	private String jobArgNm2;

	private String jobArgNm3;

	private String jobArgNm4;

	private String jobArgNm5;

	private String jobArgNm6;

	private String jobArgNm7;

	private String jobArgNm8;

	private String jobArgNm9;

	private String jobArgNm10;

	private String jobArgNm11;

	private String jobArgNm12;

	private String jobArgNm13;

	private String jobArgNm14;

	private String jobArgNm15;

	private String jobArgNm16;

	private String jobArgNm17;

	private String jobArgNm18;

	private String jobArgNm19;

	private String jobArgNm20;

	private String curAppStatus;

	private Timestamp addDateTime;

	private Timestamp updDateTime;

	/**
	 * @return the jobSysCd
	 */
	public String getJobSysCd() {
		return jobSysCd;
	}

	/**
	 * @param jobSysCd
	 *            the jobSysCd to set
	 */
	public void setJobSysCd(String jobSysCd) {
		this.jobSysCd = jobSysCd;
	}

	/**
	 * @return the jobAppCd
	 */
	public String getJobAppCd() {
		return jobAppCd;
	}

	/**
	 * @param jobAppCd
	 *            the jobAppCd to set
	 */
	public void setJobAppCd(String jobAppCd) {
		this.jobAppCd = jobAppCd;
	}

	/**
	 * @return the jobArgNm1
	 */
	public String getJobArgNm1() {
		return jobArgNm1;
	}

	/**
	 * @param jobArgNm1
	 *            the jobArgNm1 to set
	 */
	public void setJobArgNm1(String jobArgNm1) {
		this.jobArgNm1 = jobArgNm1;
	}

	/**
	 * @return the jobArgNm2
	 */
	public String getJobArgNm2() {
		return jobArgNm2;
	}

	/**
	 * @param jobArgNm2
	 *            the jobArgNm2 to set
	 */
	public void setJobArgNm2(String jobArgNm2) {
		this.jobArgNm2 = jobArgNm2;
	}

	/**
	 * @return the jobArgNm3
	 */
	public String getJobArgNm3() {
		return jobArgNm3;
	}

	/**
	 * @param jobArgNm3
	 *            the jobArgNm3 to set
	 */
	public void setJobArgNm3(String jobArgNm3) {
		this.jobArgNm3 = jobArgNm3;
	}

	/**
	 * @return the jobArgNm4
	 */
	public String getJobArgNm4() {
		return jobArgNm4;
	}

	/**
	 * @param jobArgNm4
	 *            the jobArgNm4 to set
	 */
	public void setJobArgNm4(String jobArgNm4) {
		this.jobArgNm4 = jobArgNm4;
	}

	/**
	 * @return the jobArgNm5
	 */
	public String getJobArgNm5() {
		return jobArgNm5;
	}

	/**
	 * @param jobArgNm5
	 *            the jobArgNm5 to set
	 */
	public void setJobArgNm5(String jobArgNm5) {
		this.jobArgNm5 = jobArgNm5;
	}

	/**
	 * @return the jobArgNm6
	 */
	public String getJobArgNm6() {
		return jobArgNm6;
	}

	/**
	 * @param jobArgNm6
	 *            the jobArgNm6 to set
	 */
	public void setJobArgNm6(String jobArgNm6) {
		this.jobArgNm6 = jobArgNm6;
	}

	/**
	 * @return the jobArgNm7
	 */
	public String getJobArgNm7() {
		return jobArgNm7;
	}

	/**
	 * @param jobArgNm7
	 *            the jobArgNm7 to set
	 */
	public void setJobArgNm7(String jobArgNm7) {
		this.jobArgNm7 = jobArgNm7;
	}

	/**
	 * @return the jobArgNm8
	 */
	public String getJobArgNm8() {
		return jobArgNm8;
	}

	/**
	 * @param jobArgNm8
	 *            the jobArgNm8 to set
	 */
	public void setJobArgNm8(String jobArgNm8) {
		this.jobArgNm8 = jobArgNm8;
	}

	/**
	 * @return the jobArgNm9
	 */
	public String getJobArgNm9() {
		return jobArgNm9;
	}

	/**
	 * @param jobArgNm9
	 *            the jobArgNm9 to set
	 */
	public void setJobArgNm9(String jobArgNm9) {
		this.jobArgNm9 = jobArgNm9;
	}

	/**
	 * @return the jobArgNm10
	 */
	public String getJobArgNm10() {
		return jobArgNm10;
	}

	/**
	 * @param jobArgNm10
	 *            the jobArgNm10 to set
	 */
	public void setJobArgNm10(String jobArgNm10) {
		this.jobArgNm10 = jobArgNm10;
	}

	/**
	 * @return the jobArgNm11
	 */
	public String getJobArgNm11() {
		return jobArgNm11;
	}

	/**
	 * @param jobArgNm11
	 *            the jobArgNm11 to set
	 */
	public void setJobArgNm11(String jobArgNm11) {
		this.jobArgNm11 = jobArgNm11;
	}

	/**
	 * @return the jobArgNm12
	 */
	public String getJobArgNm12() {
		return jobArgNm12;
	}

	/**
	 * @param jobArgNm12
	 *            the jobArgNm12 to set
	 */
	public void setJobArgNm12(String jobArgNm12) {
		this.jobArgNm12 = jobArgNm12;
	}

	/**
	 * @return the jobArgNm13
	 */
	public String getJobArgNm13() {
		return jobArgNm13;
	}

	/**
	 * @param jobArgNm13
	 *            the jobArgNm13 to set
	 */
	public void setJobArgNm13(String jobArgNm13) {
		this.jobArgNm13 = jobArgNm13;
	}

	/**
	 * @return the jobArgNm14
	 */
	public String getJobArgNm14() {
		return jobArgNm14;
	}

	/**
	 * @param jobArgNm14
	 *            the jobArgNm14 to set
	 */
	public void setJobArgNm14(String jobArgNm14) {
		this.jobArgNm14 = jobArgNm14;
	}

	/**
	 * @return the jobArgNm15
	 */
	public String getJobArgNm15() {
		return jobArgNm15;
	}

	/**
	 * @param jobArgNm15
	 *            the jobArgNm15 to set
	 */
	public void setJobArgNm15(String jobArgNm15) {
		this.jobArgNm15 = jobArgNm15;
	}

	/**
	 * @return the jobArgNm16
	 */
	public String getJobArgNm16() {
		return jobArgNm16;
	}

	/**
	 * @param jobArgNm16
	 *            the jobArgNm16 to set
	 */
	public void setJobArgNm16(String jobArgNm16) {
		this.jobArgNm16 = jobArgNm16;
	}

	/**
	 * @return the jobArgNm17
	 */
	public String getJobArgNm17() {
		return jobArgNm17;
	}

	/**
	 * @param jobArgNm17
	 *            the jobArgNm17 to set
	 */
	public void setJobArgNm17(String jobArgNm17) {
		this.jobArgNm17 = jobArgNm17;
	}

	/**
	 * @return the jobArgNm18
	 */
	public String getJobArgNm18() {
		return jobArgNm18;
	}

	/**
	 * @param jobArgNm18
	 *            the jobArgNm18 to set
	 */
	public void setJobArgNm18(String jobArgNm18) {
		this.jobArgNm18 = jobArgNm18;
	}

	/**
	 * @return the jobArgNm19
	 */
	public String getJobArgNm19() {
		return jobArgNm19;
	}

	/**
	 * @param jobArgNm19
	 *            the jobArgNm19 to set
	 */
	public void setJobArgNm19(String jobArgNm19) {
		this.jobArgNm19 = jobArgNm19;
	}

	/**
	 * @return the jobArgNm20
	 */
	public String getJobArgNm20() {
		return jobArgNm20;
	}

	/**
	 * @param jobArgNm20
	 *            the jobArgNm20 to set
	 */
	public void setJobArgNm20(String jobArgNm20) {
		this.jobArgNm20 = jobArgNm20;
	}

	/**
	 * @return the curAppStatus
	 */
	public String getCurAppStatus() {
		return curAppStatus;
	}

	/**
	 * @param curAppStatus
	 *            the curAppStatus to set
	 */
	public void setCurAppStatus(String curAppStatus) {
		this.curAppStatus = curAppStatus;
	}

	/**
	 * @return the addDateTime
	 */
	public Timestamp getAddDateTime() {
		return addDateTime;
	}

	/**
	 * @param addDateTime
	 *            the addDateTime to set
	 */
	public void setAddDateTime(Timestamp addDateTime) {
		this.addDateTime = addDateTime;
	}

	/**
	 * @return the updDateTime
	 */
	public Timestamp getUpdDateTime() {
		return updDateTime;
	}

	/**
	 * @param updDateTime
	 *            the updDateTime to set
	 */
	public void setUpdDateTime(Timestamp updDateTime) {
		this.updDateTime = updDateTime;
	}

	/**
	 * このバリューオブジェクトの文字列表現を取得します。
	 * 
	 * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
	 * 
	 * @return バリューオブジェクトの文字列表現。
	 */
	public String toString() {
		final StringBuffer buf = new StringBuffer();
		buf.append("BatchEntryParam[");
		buf.append("jobSysCd=" + jobSysCd);
		buf.append(",jobAppCd=" + jobAppCd);
		buf.append(",jobArgNm1=" + jobArgNm1);
		buf.append(",jobArgNm2=" + jobArgNm2);
		buf.append(",jobArgNm3=" + jobArgNm3);
		buf.append(",jobArgNm4=" + jobArgNm4);
		buf.append(",jobArgNm5=" + jobArgNm5);
		buf.append(",jobArgNm6=" + jobArgNm6);
		buf.append(",jobArgNm7=" + jobArgNm7);
		buf.append(",jobArgNm8=" + jobArgNm8);
		buf.append(",jobArgNm9=" + jobArgNm9);
		buf.append(",jobArgNm10=" + jobArgNm10);
		buf.append(",jobArgNm11=" + jobArgNm11);
		buf.append(",jobArgNm12=" + jobArgNm12);
		buf.append(",jobArgNm13=" + jobArgNm13);
		buf.append(",jobArgNm14=" + jobArgNm14);
		buf.append(",jobArgNm15=" + jobArgNm15);
		buf.append(",jobArgNm16=" + jobArgNm16);
		buf.append(",jobArgNm17=" + jobArgNm17);
		buf.append(",jobArgNm18=" + jobArgNm18);
		buf.append(",jobArgNm19=" + jobArgNm19);
		buf.append(",jobArgNm20=" + jobArgNm20);
		buf.append(",curAppStatus=" + curAppStatus);
		buf.append(",addDateTime=" + addDateTime);
		buf.append(",updDateTime=" + updDateTime);
		buf.append("]");
		return buf.toString();
	}
}
